-- ----------------------------------------------------------------------
--  This is the DoomRL initialization file. Modify at your own risk :). 
--  If you mess up something overwrite with a new config.lua.
-- ----------------------------------------------------------------------

dofile "colors.lua"

-- pick here what music set to use (see music.lua and musicmp3.lua)
dofile "music.lua" 
dofile "sound.lua"

dofile "keybindings.lua"

-- Whether to allow high-ASCII signs. Set to false if you see weird signs 
-- on the screen.
AllowHighAscii   = false

-- Setting to true will skip name entry procedure and choose a random name
-- instead
AlwaysRandomName = false

-- Specifies how the DoomRL inventory and equipment menus should be handled.
-- Can be set to CHOICE, HYBRID or LETTER
InvMenuStyle     = "HYBRID"

-- Specifies wether items in inventory and equipment should be colored
ColoredInventory = true

-- Setting this to anything except "" will always use that as the name.
-- Warning - no error checking, so don't use too long names, or especially
-- the "@" sign (it's a control char). This setting overrides the one above!
AlwaysName       = ""

-- Setting to true will skip the intro
SkipIntro        = false

-- Setting to true will remove the bloodslide effect
NoBloodSlides    = false

-- Setting to true will remove the flashing effect
NoFlashing       = false

-- Setting to true will make the run command not stop on items
RunOverItems     = false

-- Setting to false will turn off music during gameplay
GameMusic        = true

-- Setting to false will turn off sounds during gameplay
GameSound        = true

-- Setting to false will turn off Menu change/select sound
MenuSound        = true

-- Setting to true will turn on enhancements for blind people playing
-- DoomRL using a screen reader. Yes, some do.
BlindMode        = false

-- Setting to true will turn on enhancements for colorblind people.
ColorBlindMode   = false

-- Setting to true will make old messages disappear from the screen 
-- (useful in BlindMode)
ClearMessages    = false

-- Setting to true will make the game wait for an enter/space key if
-- trying to fire an empty weapon.
EmptyConfirm     = false

-- If set to true, pickup sound will be used for quickkeys and weapon
-- swapping.
SoundEquipPickup = false

-- Changing it to a value greater than zero will autochoose a trait at 
-- character creation. The number written is the number of the trait 
-- on the list (eg. 2 is Finesse). Setting it to 255 will choose a random
-- trait.
StartTrait       = 0

-- Changing it to a value greater than zero will autochoose a difficulty at 
-- character creation. The number written is the number of the difficulty 
-- on the list (eg. 4 is Ultra-Violence). Setting it to 255 will choose a random
-- difficulty.
StartDifficulty  = 0

-- Sets the delay value when running. Value is in milliseconds. Set to 0 for no delay.
RunDelay         = 20

-- Music volume in the range of 0..25
MusicVolume      = 12

-- Sound volume in the range of 0..25
SoundVolume      = 20

-- Handles what should be done in case of trying to unwield an item when inventory
-- is full : if set to false will ask the player if he wants to drop it. If set
-- to true will drop it without questions.
InvFullDrop      = false

-- Messages held in the message buffer.
MessageBuffer    = 100

-- Sets wether message coloring will be enabled. Needs [messages] section.
MessageColoring  = true

-- If set to true will archive EVERY mortem.txt produced in the mortem subfolder.
-- The amount of files can get big after a while :)
MortemArchive    = true

-- Sets the amount of player.wad backups. Set 0 to turn off. At most one backup
-- is held for a given day.
PlayerBackups    = 7

-- Sets the amount of score.wad backups. Set 0 to turn off.  At most one backup
-- is held for a given day.
ScoreBackups     = 7

-- If set to false DoomRL will quit on death and quitting. Normally it will go back
-- to the main menu.
MenuReturn       = true

-- If set to true, you will start in front of the entrance to the first level, and
-- not behind the building.
Frontal          = false

-- Defines the maximum repeat for the run command. Setting it to larger than 80
-- basically means no limit.
MaxRun           = 100

-- Defines the maximum repeat for the run command when waiting.
MaxWait          = 20

-- Disables Ctrl-C/Ctrl-Break closing of program. true by default.
LockBreak        = true

-- Disables closing of DoomRL by console close button. true by default.
LockClose        = true

-- Sets the color of intuition effect for beings
IntuitionColor   = LIGHTMAGENTA

-- Sets the char of intuition effect for beings
IntuitionChar    = "*"

-- Mortem and screenshot timestamp format
-- Format : http://www.freepascal.org/docs-html/rtl/sysutils/formatchars.html
-- note that / and : will be converted to "-" due to filesystem issues
TimeStamp        = "yyyy/mm/dd hh:nn:ss"

-- Message coloring system. Works only if MessageColoring
-- variable is set to true. Must start with a color name
-- followed by anything (config entries need to be different!).
-- As for the string, it's case sensitive, but you may use
-- the wildcard characters * and ?.

-- Unsure how these work and want to fiddle with them?
-- Head over to http://forum.chaosforge.org/ for more info.
Messages = {
	["Warning!*"] 		              = RED,
	["Your * destroyed!"]             = RED,
	["You die*"]                      = RED,
	["Your * damaged!"]               = BROWN,
	["You feel relatively safe now."] = BLUE
}
